Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>. Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.

Query Parameters

providers
string

Comma-separated list of providers to filter by

models
string

Comma-separated list of models to filter by

status
string

Comma-separated list of statuses to filter by

objects
string

Comma-separated list of object types to filter by

selected_key_ids
string

Comma-separated list of selected key IDs to filter by

virtual_key_ids
string

Comma-separated list of virtual key IDs to filter by

routing_rule_ids
string

Comma-separated list of routing rule IDs to filter by

routing_engine_used
string

Comma-separated list of routing engines to filter by (routing-rule, governance, or loadbalancing)

start_time
string<date-time>

Start time filter (RFC3339 format)

end_time
string<date-time>

End time filter (RFC3339 format)

min_latency
number

Minimum latency filter

max_latency
number

Maximum latency filter

min_tokens
integer

Minimum tokens filter

max_tokens
integer

Maximum tokens filter

min_cost
number

Minimum cost filter

max_cost
number

Maximum cost filter

missing_cost_only
boolean

Only show logs with missing cost

Search in request/response content

limit
integer
default:50

Number of logs to return (default 50, max 1000)

Required range: x <= 1000
offset
integer
default:0

Number of logs to skip

sort_by
enum<string>
default:timestamp

Field to sort by

Available options:
timestamp,
latency,
tokens,
cost
order
enum<string>
default:desc

Sort order

Available options:
asc,
desc

Response

Successful response

Search logs response

logs
object[]
pagination
object

Pagination metadata for list responses

stats
object

Log statistics

has_logs
boolean

Whether any logs exist in the system